namespace MyOffice.Data.Repositories.Item;

using MyOffice.Data.Models.Items;

public interface IItemCategoryRepository
{
	List<ItemCategory> GetAll(Guid userId);
	bool Add(ItemCategory accountCategory);
	ItemCategory? Get(Guid userId, Guid id);
	bool Update(ItemCategory accountCategory);
	bool Remove(ItemCategory accountCategory);
}